
Redmine - Feature #5762

Viewing the diff of *.doc files.

2010-06-25 14:17 - Denis Savitskiy

Status: Closed Start date: 2010-06-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Can it be held, please, if possible? I think, it will be very useful to many projects.

History

#1 - 2010-06-27 01:29 - Felix Schäfer

- Assignee deleted (Azamat Hackimov)

- Priority changed from High to Normal

- Estimated time deleted (2.00 h)

A correct diff of Word documents is very difficult to achieve and not in the scope of this project, sorry.

#2 - 2010-07-07 21:05 - Douglas Cox

Actually, if it is acceptable to let Word do the diffs, TortoiseHg (Mercurial) has a "docdiff.exe" tool that will launch Word and use its built-in diff and

merge tools.  This seems to work quite well.  So maybe an "External Diff Tool" setting for a given file extension is all that is needed.

#3 - 2010-07-07 22:22 - Felix Schäfer

Douglas Cox wrote:

Actually, if it is acceptable to let Word do the diffs, TortoiseHg (Mercurial) has a "docdiff.exe" tool that will launch Word and use its built-in diff

and merge tools.  This seems to work quite well.  So maybe an "External Diff Tool" setting for a given file extension is all that is needed.

 That supposes your server runs on windows and that you have office installed on that server, not an acceptable solution.

#4 - 2010-07-08 00:37 - Douglas Cox

That supposes your server runs on windows and that you have office installed on that server, not an acceptable solution.

 It is a perfectly acceptable solution for the people that do use Word to create Word documents.  I believe there was support for Open Office, and the

".exe" is a just compiled python script, so it should work with Open Office under Linux as well.

Regardless, I fail to see how an option to configure an "External Diff/Merge Tool" has any operating system bias as it is a standard option with most

revision control systems.

#5 - 2010-07-08 00:41 - Douglas Cox

And yes, this would have to be done on the client's side, which is the main issue.  So for most people it would be easier to use Mercurial or another

RCS and simply use that to store their docs since they already support it and the files are already on the users system.

#6 - 2011-09-15 15:42 - Denis Savitskiy

- Status changed from New to Resolved

#7 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#8 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)
- Status changed from Resolved to Closed

#9 - 2013-01-16 09:26 - Toshi MARUYAMA

- Resolution set to Wont fix

#10 - 2014-01-29 17:13 - Anton Nepomnyaschih

There are tools like doc2txt which can be used to look at diff between two Word files.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

